From ac2f8528bd27369d4deb79e4070d5ed80e81917d Mon Sep 17 00:00:00 2001
From: fanquake <fanquake@gmail.com>
Date: Fri, 12 May 2023 16:38:31 +0100
Subject: [PATCH] gnu: bitcoin-core: Update to 23.1.

Add missing sqlite dep, for modern wallet support.
---
 gnu/packages/finance.scm | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/finance.scm b/gnu/packages/finance.scm
index 649aa56fc1..eed255247d 100644
--- a/gnu/packages/finance.scm
+++ b/gnu/packages/finance.scm
@@ -133,10 +133,10 @@ (define-module (gnu packages finance)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages gnuzilla))
 
-(define-public bitcoin-core-23.0
+(define-public bitcoin-core-23.1
   (package
     (name "bitcoin-core")
-    (version "23.0")
+    (version "23.1")
     (source (origin
               (method url-fetch)
               (uri
@@ -144,7 +144,7 @@ (define-public bitcoin-core-23.0
                               version "/bitcoin-" version ".tar.gz"))
               (sha256
                (base32
-                "01fcb90pqip3v77kljykx51cmg7jdg2cmp7ys0a40svdkps8nx16"))))
+                "03k56vgk0a0wr84gpj256hvijk6iyshl85hcrx800hiznyzl5hkl"))))
     (build-system gnu-build-system)
     (native-inputs
      (list autoconf
@@ -160,7 +160,8 @@ (define-public bitcoin-core-23.0
            libevent
            miniupnpc
            openssl
-           qtbase-5))
+           qtbase-5
+           sqlite))
     (arguments
      `(#:configure-flags
        (list
@@ -214,7 +215,7 @@ (define-public bitcoin-core-23.0
 ;; The support lifetimes for bitcoin-core versions can be found in
 ;; <https://bitcoincore.org/en/lifecycle/#schedule>.
 
-(define-public bitcoin-core bitcoin-core-23.0)
+(define-public bitcoin-core bitcoin-core-23.1)
 
 (define-public ghc-hledger
   (package
-- 
2.40.1

